Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.impl

# Class TransactionParameterBufferImpl

java.lang.Object
org.firebirdsql.gds.impl.ParameterBufferBase
org.firebirdsql.gds.impl.TransactionParameterBufferImpl

All Implemented Interfaces:
  `Serializable`, `Iterable<Parameter>`, `ParameterBuffer`, `TransactionParameterBuffer`

public final class TransactionParameterBufferImpl extends ParameterBufferBase implements TransactionParameterBuffer
Implementation of the `TransactionParameterBuffer` interface.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `TransactionParameterBufferImpl.TpbMetaData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionParameterBufferImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyTo(TransactionParameterBuffer destination)`
  Copies the contents of this transaction parameter buffer to `destination`.
  `TransactionParameterBuffer`
  `deepCopy()`
  Make a deep copy of this object.

  ### Methods inherited from class org.firebirdsql.gds.impl.ParameterBufferBase

  `addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, equals, findFirst, getArgumentAsInt, getArgumentAsString, getArgumentsList, getDefaultEncoding, getLength, getParameterBufferMetaData, getType, hasArgument, hashCode, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

  `addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

  ### Methods inherited from interface org.firebirdsql.gds.TransactionParameterBuffer

  `isAutoCommit, isReadOnly, setAutoCommit, setReadOnly`

- ## Constructor Details

  - ### TransactionParameterBufferImpl

    public TransactionParameterBufferImpl()

- ## Method Details

  - ### deepCopy

    public TransactionParameterBuffer deepCopy()
    Description copied from interface: `TransactionParameterBuffer`
    Make a deep copy of this object.
    Specified by:
      `deepCopy` in interface `TransactionParameterBuffer`
    Returns:
      deep copy of this object.

  - ### copyTo

    public void copyTo(TransactionParameterBuffer destination)
    Description copied from interface: `TransactionParameterBuffer`
    Copies the contents of this transaction parameter buffer to `destination`.
    Specified by:
      `copyTo` in interface `TransactionParameterBuffer`
    Parameters:
      `destination` - destination transaction parameter buffer